FILE(1)

NAME
file - determine file type

SYNOPSIS
file [ list ] filename...

DESCRIPTION
The file command performs a series of tests on each file argument in an attempt to classify it. If an argument appears to be ASCII, file examines the first 512 bytes and tries to guess its language.

If the argument is a universal file, the series of tests is performed on each architecture in the universal file.

If the -f option is specified, file instead performs its tests on each file listed in the file named list. This file should contain one filename per line, with no whitespace.

BUGS
The file command often makes mistakes. In particular, it often suggests that command files are C programs. It does not recognize Pascal or LISP.